package com.caimei365.user.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import javax.annotation.Resource;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/12
 */
@Configuration
public class ApiConfig implements WebMvcConfigurer {
    @Resource
    private ApiInterceptor apiInterceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        //addPathPatterns 用于添加拦截规则
        //excludePathPatterns 用于排除拦截
        registry.addInterceptor(apiInterceptor)
                .addPathPatterns("/user/club/info/update")
                .addPathPatterns("/user/shop/info/update")
                .addPathPatterns("/user/club/archive/deduction");
//                .excludePathPatterns("/order/detail");
    }
}
