package com.caimei365.user.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/9/26
 */
@ApiModel("机构资料备注")
@Data
public class ClubRemarksPo implements Serializable {
    @ApiModelProperty("备注id")
    private Integer remarksId;

    @ApiModelProperty("机构id")
    private Integer clubId;

    @ApiModelProperty("协销id")
    private Integer serviceProviderId;

    @ApiModelProperty("文字备注")
    private String remarks;

    @ApiModelProperty("咨询人姓名")
    private String questionMan;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("同步时间")
    private Date concactTime;

    @ApiModelProperty("添加时间")
    private Date addTime;
}
