package com.caimei365.user.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class VisitRemarkVo  implements Serializable {

    /**
     * 潜在用户备注id
     */
    private Integer remarksId;
    /**
     * 咨询人id
     */
    private String questionManId;

    /**
     * 协销id
     */
    private Integer serviceProviderId;

    /**
     * 关键词列表
     */
    private List<String> remarks;
    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addDate;
    /**
     * 咨询人名字
     */
    private String questionMan;
    /**
     * 同步时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date concactTime;

    /**
     * 图片列表
     */
    private List<String> imageList;

    /**
     * 文件列表
     */
    private List<RemarksFileVo> fileList;
}
